## vim-latexsuite 1.9.0

=== Makefile ===
PREFIX=/usr/local
VIMDIR=$(PREFIX)/share/vim
BINDIR=$(PREFIX)/bin
APPDATADIR=$(PREFIX)/share/appdata

VERSION=1.9.0
DATE=$(shell date +%Y%m%d)
COMMIT_COUNT=$(shell git log --oneline | wc -l)
ABBREV_HASH=$(shell git rev-parse --short=7 HEAD)

SNAPSHOTNAME=vim-latex-$(VERSION)-$(DATE).$(COMMIT_COUNT)-git$(ABBREV_HASH)

snapshot:
	git archive --prefix '$(SNAPSHOTNAME)/' HEAD | gzip > '$(SNAPSHOTNAME).tar.gz'

install:
	install -d '$(DESTDIR)$(VIMDIR)/doc'
	install -m 0644 doc/*.txt '$(DESTDIR)$(VIMDIR)/doc'

	install -d '$(DESTDIR)$(VIMDIR)'
	cp -R compiler ftplugin indent plugin '$(DESTDIR)$(VIMDIR)'
	chmod 0755 '$(DESTDIR)$(VIMDIR)/ftplugin/latex-suite/outline.py'

	install -d '$(DESTDIR)$(BINDIR)'
	install latextags ltags '$(DESTDIR)$(BINDIR)'

	install -d '$(DESTDIR)$(APPDATADIR)'
	install vim-latex.metainfo.xml '$(DESTDIR)$(APPDATADIR)'

upload: snapshot
	scp '$(SNAPSHOTNAME).tar.gz' frs.sourceforge.net:/home/frs/project/v/vi/vim-latex/snapshots

.PHONY: install upload

=== debian/changelog ===
vim-latexsuite (1:1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Upgrade to python3. (Closes: #839661)
  * debian/patches:
    - remove upstream applied patches and refresh
    - update changelog.diff.
  * debian/copyright: Update years.
  * Bump Standards-Version to 3.9.8.
  * Add debian/upstream/signing-key.asc and update debian/watch to new epoch.
  * debian/control: change Vcs-Browser to use https.

 -- Johann Felix Soden <johfel@debian.org>  Tue, 29 Nov 2016 14:28:09 +0100

vim-latexsuite (20141116.812-2) unstable; urgency=medium

  * Use python2.7 instead of python2 in python scripts
    and depend accordingly on python2.7 for lintian.

 -- Johann Felix Soden <johfel@debian.org>  Tue, 25 Aug 2015 00:01:33 +0200

vim-latexsuite (20141116.812-1) unstable; urgency=medium

  * New upstream snapshot
  * Drop deprecated and unused pysupport build dependency.
    Thanks to Martin Pitt <mpitt@debian.org> (Closes: #786115)
  * debian/rules: Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #776727)
  * Bump Standards-Version to 3.9.6.
  * debian/copyright: Update years.
  * Lintian fix: Depend on python2 instead of python.

 -- Johann Felix Soden <johfel@debian.org>  Thu, 20 Aug 2015 03:30:08 +0200

vim-latexsuite (20130116.788-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches:
    - remove upstream applied patches
    - update changelog.diff
  * debian/copyright: update years.
  * debian/{compat,control,rules}: switch to debhelper compat v9.
  * debian/control:
   - bump Standards-Version to 3.9.4.
   - add explicit dep and build-dep on python to fix lintian error.
   - use anonscm.debian.org in VCS-* fields.

 -- Johann Felix Soden <johfel@debian.org>  Mon, 14 Oct 2013 00:25:26 +0200

vim-latexsuite (20120125.768-2) unstable; urgency=low

  * Include latest upstream changes.
  * Add shortcut for iota.
    Thanks to Alessandro Pezzoni <alessandro_pezzoni@lavabit.com>
  * debian/*: Change my e-mail address and remove DM upload rights.
  * debian/copyright: update to copyright-format 1.0.
  * debian/control: bump Standards-Version to 3.9.3.

 -- Johann Felix Soden <johfel@debian.org>  Sun, 13 May 2012 14:27:15 +0200

vim-latexsuite (20120125.768-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches:
    - refresh disabledby.diff
    - update changelog.diff
  * debian/copyright: use latest DEP5 format and update years and
    upstream maintainers.
  * debian/control: bump Standards-Version to 3.9.2.
  * debian/README.Debian: fix spelling mistake.

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 28 Jan 2012 11:31:43 +0100

vim-latexsuite (20110214.1049-1) unstable; urgency=low

  * New upstream snapshot
  * Add patch to fix double backslash in math environment replacement.
    Thanks to Cédric Boutillier <cedric.boutillier@polytechnique.org>
    (Closes: #590926)
  * debian/control: bump Standards-Version to 3.9.1.
  * debian/copyright: update copyright years and upstream maintainers.
  * debian/watch: update to new upstream package naming.
  * debian/patches:
    - remove upstream-applied patches and refresh
    - update changelog.diff
  * Remove obsolete svn-layout files from debian/.

 -- Johann Felix Soden <johfel@gmx.de>  Tue, 15 Feb 2011 12:51:20 +0100

vim-latexsuite (20100129-2) unstable; urgency=low

  * Add patch for removing error-prone default errorformats.
    (Closes: #582100)

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 11 Jun 2010 16:24:21 +0200

vim-latexsuite (20100129-1) unstable; urgency=low

  * New upstream snapshot
  * Pick upstream changeset 1105: fix wrong usage of fnameescape
  * debian/control: Update standards-version to 3.8.4
  * debian/patches:
   - remove upstream-applied patches and refresh
   - fix warning on double-loading in disabledby.diff
   - update changelog.diff

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 13 Feb 2010 16:16:46 +0100

vim-latexsuite (20091230-3) unstable; urgency=low

  * debian/bug/vim-latexsuite/presubj: Correct the link to README.Debian
    (Closes: #565464)
  * Adding a 'not enabled by default'-note to the package description
    and debian/bug/vim-latexsuite/presubj (Closes: #565463)
  * Fix error on both system-wide and local install (Closes: #444426)

 -- Johann Felix Soden <johfel@gmx.de>  Thu, 21 Jan 2010 22:52:51 +0100

vim-latexsuite (20091230-2) unstable; urgency=low

  * Move the version dependency from vim to vim-common to support vim
    variants (Closes: #564335)

 -- Johann Felix Soden <johfel@gmx.de>  Sat, 09 Jan 2010 12:21:48 +0100

vim-latexsuite (20091230-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control: add version to vim dependency
  * debian/patches:
   - drop fix_build_system.diff
   - update changelog.diff

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 08 Jan 2010 09:51:06 +0100

vim-latexsuite (20091002-2) unstable; urgency=low

  * Force redraw after latex run (Closes: #365572)
  * debian/control: add "DM-Upload-Allowed"-field
  * Convert package to the 3.0 (quilt) source format.
   - add debian/source/format
   - remove debian/README.source
   - debian/control: remove quilt from Build-Depends
   - debian/rules: do not use quilt dh addon anymore

 -- Johann Felix Soden <johfel@gmx.de>  Fri, 11 Dec 2009 22:08:25 +0100

vim-latexsuite (20091002-1) unstable; urgency=low

  * New upstream snapshot
  * Adopt the package (Closes: #454323)
  * Support labels after \% (Closes: #381161)
  * Preserve primary paste buffer during project loading
    (Closes: #280793)
  * Add patch for replacing the prefix at completion (Closes: #481524)
  * debian/patches:
   - remove patches which are unused or applied by upstream
   - update debian/patches/changelog.diff
   - refresh disabledby.diff
  * debian/control
   - update Vcs-* fields
   - add build-dep on quilt with debhelper 7 support
   - add build-dep on python-support, so ${python:Depends} is set.
  * debian/dirs: don't create empty dir /usr/share/lintian/overrides/


=== debian/control ===
Source: vim-latexsuite
Section: editors
Priority: extra
Maintainer: Johann Felix Soden <johfel@debian.org>
Build-Depends: debhelper (>= 9~), python3, dh-python
Standards-Version: 3.9.8
Homepage: http://vim-latex.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-vim/vim-latexsuite.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-vim/vim-latexsuite.git

Package: vim-latexsuite
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim, python3
Recommends: texlive-base-bin, vim-addon-manager
Suggests: xpdf | pdf-viewer, gv | postscript-viewer, xdg-utils
Enhances: vim
Description: view, edit and compile LaTeX documents from within Vim
 vim-latexsuite attempts to provide a comprehensive set of tools to view,
 edit and compile LaTeX documents in Vim. Together, they provide tools starting
 from macros to speed up editing LaTeX documents to functions for forward
 searching .dvi documents.
 .
 This package also provides help to LaTeX in Vim.
 .
 By default, vim-latexsuite is not enabled. Please read
 /usr/share/doc/vim-latexsuite/README.Debian after installing the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/vim-latexsuite
ADDONSDIR=/usr/share/vim/addons

%:
	dh $@ --with=python3

override_dh_auto_build:


override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR) BINDIR=/usr/share/doc/vim-latexsuite/contrib VIMDIR=$(ADDONSDIR)
	# gzip doc files
	find $(DESTDIR)$(ADDONSDIR)/doc -type f -print0 | xargs -0 gzip -9n
	# remove unnecessary files
	rm -rf $(DESTDIR)/usr/local/share/appdata

override_dh_install:
	dh_install	
	# generate file list for vim addons manager
	#
	( cd $(DESTDIR)$(ADDONSDIR) && find -type f ) | sed 's#./#  - #' | LC_ALL=C sort  >> $(DESTDIR)/usr/share/vim/registry/vim-latexsuite.yaml


fix-perm:
	find $(DIRS) doc -type f | xargs chmod a-x
	chmod a+x ftplugin/latex-suite/outline.py \
		debian/bug/vim-latexsuite/script

gzip-doc: $(DOCFILES)

%.txt.gz: %.txt
	gzip -9n < $< > $@

.PHONY: gzip-doc fix-perm

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" http://sf.net/vim-latex/vim-latex-@ANY_VERSION@@ARCHIVE_EXT@ \
      debian uupdate

## vim-latexsuite 1.10.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 BINDIR=$(PREFIX)/bin
 APPDATADIR=$(PREFIX)/share/appdata
 
-VERSION=1.9.0
+VERSION=1.10.0
 DATE=$(shell date +%Y%m%d)
 COMMIT_COUNT=$(shell git log --oneline | wc -l)
 ABBREV_HASH=$(shell git rev-parse --short=7 HEAD)
@@ -25,7 +25,7 @@
 	install latextags ltags '$(DESTDIR)$(BINDIR)'
 
 	install -d '$(DESTDIR)$(APPDATADIR)'
-	install vim-latex.metainfo.xml '$(DESTDIR)$(APPDATADIR)'
+	install -m 644 vim-latex.metainfo.xml '$(DESTDIR)$(APPDATADIR)'
 
 upload: snapshot
 	scp '$(SNAPSHOTNAME).tar.gz' frs.sourceforge.net:/home/frs/project/v/vi/vim-latex/snapshots

=== doc/Makefile ===
projects = latex-suite latex-suite-quickstart
htmlfiles = $(addsuffix .html, $(projects))
txtfiles = $(addsuffix .txt, $(projects))
cssfiles = $(addsuffix .css, $(projects))
all = $(projects) $(htmlfiles) $(cssfiles) $(txtfiles) 


xsltproc=xsltproc
db2vim=db2vim/db2vim

# Use for debugging:
#xsltproc=strace -e trace=file xsltproc --nonet --load-trace 
# export XML_DEBUG_CATALOG = 1

# Specify local catalog to not use system installed dtd/xsl files
# export XML_CATALOG_FILES=catalog.xml

# User configuration of this Makefile goes into Makefile.local
# E.g. to use a catalog file installed by the user.
-include Makefile.local

# Default Target is to create all documentation files
all: $(all)

# create multi page html (chunk xhtml)
$(projects): %: %.xml latex-suite-chunk.xsl latex-suite-common.xsl
	$(xsltproc) -o $@/ latex-suite-chunk.xsl $<

# create single html files
$(htmlfiles): %.html: %.xml latex-suite.xsl latex-suite-common.xsl
	$(xsltproc) -o $@ latex-suite.xsl $<

# create vim flat files
latex-suite.txt: %.txt: %.xml
	$(db2vim) --prefix=ls_ $< > $@

latex-suite-quickstart.txt: %.txt: %.xml
	$(db2vim) --prefix=lq_ $< > $@

# validate xml
validate:
	for file in *.xml; do \
		xmllint --valid --noout $$file; \
	done

clean:
	rm -f $(htmlfiles)
	rm -rf $(projects)

# $(txtfiles) are currently in revision control, therefore they are not
# removed in the clean target
mr-proper: clean
	rm -f $(txtfiles)

upload: $(all)
# vim-latex-web is configured in ~/.ssh/config
#Host vim-latex-web
#    Hostname  web.sourceforge.net
#    User SOURCEFORGE_USERNAME,vim-latex
	rsync --perms --chmod g+w,o-w --delete -lrtvz  $(all) vim-latex-web:/home/groups/v/vi/vim-latex/htdocs/documentation/

# vim:nowrap

=== debian/changelog ===
vim-latexsuite (1:1.10.0-1) unstable; urgency=medium

  [ Johann Felix Soden ]
  * New upstream version 1.10.0 (Closes: #891125)
  * Update debian/patches and include latest upstream patches
  * Update Vcs-* urls to salsa.debian.org.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Fix day-of-week for changelog entry 20060325-1.
  * Bump Standards-Version to 4.5.0.

 -- Johann Felix Soden <johfel@debian.org>  Fri, 05 Feb 2021 10:49:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: vim-latexsuite
 Section: editors
-Priority: extra
+Priority: optional
 Maintainer: Johann Felix Soden <johfel@debian.org>
-Build-Depends: debhelper (>= 9~), python3, dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), python3, dh-python
+Standards-Version: 4.5.0
 Homepage: http://vim-latex.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-vim/vim-latexsuite.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-vim/vim-latexsuite.git
+Vcs-Git: https://salsa.debian.org/debian/vim-latexsuite.git
+Vcs-Browser: https://salsa.debian.org/debian/vim-latexsuite/
+Rules-Requires-Root: no
 
 Package: vim-latexsuite
 Architecture: all

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://sf.net/vim-latex/vim-latex-@ANY_VERSION@@ARCHIVE_EXT@ \
      debian uupdate

## vim-latexsuite 20091230

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: vim-latexsuite
 Section: editors
-Priority: optional
-Maintainer: Johann Felix Soden <johfel@debian.org>
-Build-Depends: debhelper-compat (= 12), python3, dh-python
-Standards-Version: 4.5.0
+Priority: extra
+Maintainer: Johann Felix Soden <johfel@gmx.de>
+Build-Depends: debhelper (>= 7.0.50~), python-support
+Standards-Version: 3.8.3
 Homepage: http://vim-latex.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/debian/vim-latexsuite.git
-Vcs-Browser: https://salsa.debian.org/debian/vim-latexsuite/
-Rules-Requires-Root: no
+DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/pkg-vim/vim-latexsuite.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vim/vim-latexsuite.git
 
 Package: vim-latexsuite
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim, python3
+Depends: ${misc:Depends}, ${python:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim
 Recommends: texlive-base-bin, vim-addon-manager
 Suggests: xpdf | pdf-viewer, gv | postscript-viewer, xdg-utils
 Enhances: vim

## vim-latexsuite 20100129

=== Makefile ===
PREFIX = /usr/local
VIMDIR = $(PREFIX)/share/vim
BINDIR = $(PREFIX)/bin

VERSION=1.8.23
REVISION=$(shell svn info -r HEAD 2>/dev/null| head -n 5 | tail -n 1 | cut -d" " -f2)
DATE = $(shell date +%Y%m%d)

SNAPSHOTNAME = vim-latex-$(VERSION)-$(DATE)-r$(REVISION)

snapshot:
	rm -rf -- ./$(SNAPSHOTNAME)
	svn export -r HEAD . $(SNAPSHOTNAME)
	make -C $(SNAPSHOTNAME)/doc
	tar cvzf ./$(SNAPSHOTNAME).tar.gz ./$(SNAPSHOTNAME)
	rm -rf -- ./$(SNAPSHOTNAME)

install:
	install -d "$(DESTDIR)$(VIMDIR)/doc"
	install -m 0644 doc/*.txt "$(DESTDIR)$(VIMDIR)/doc"

	install -d "$(DESTDIR)$(VIMDIR)"
	cp -R compiler ftplugin indent plugin "$(DESTDIR)$(VIMDIR)"
	chmod 0755 "$(DESTDIR)$(VIMDIR)/ftplugin/latex-suite/outline.py"

	install -d "$(DESTDIR)$(BINDIR)"
	install latextags ltags "$(DESTDIR)$(BINDIR)"

upload: snapshot
	scp "$(SNAPSHOTNAME).tar.gz" frs.sourceforge.net:/home/frs/project/v/vi/vim-latex/snapshots

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 xsltproc=xsltproc
-db2vim=db2vim/db2vim
+db2vim=../../db2vim/db2vim
 
 # Use for debugging:
 #xsltproc=strace -e trace=file xsltproc --nonet --load-trace

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Johann Felix Soden <johfel@gmx.de>
 Build-Depends: debhelper (>= 7.0.50~), python-support
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://vim-latex.sourceforge.net/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-vim/vim-latexsuite.git

=== debian/watch ===
version=3
http://sf.net/vim-latex/vim-latex-.*-(.+)-r.+\.tar\.gz

## vim-latexsuite 20110214.1049

=== Makefile ===
PREFIX = /usr/local
VIMDIR = $(PREFIX)/share/vim
BINDIR = $(PREFIX)/bin

VERSION=1.8.23
DATE = $(shell date +%Y%m%d)
COMMIT_COUNT=$(shell git log --oneline | wc -l)
ABBREV_HASH=$(shell git log --oneline | head -n 1 | cut -d\  -f 1)

SNAPSHOTNAME = 'vim-latex-$(VERSION)-$(DATE).$(COMMIT_COUNT)-git$(ABBREV_HASH)'

snapshot:
	git archive --prefix '$(SNAPSHOTNAME)/' HEAD | gzip > '$(SNAPSHOTNAME).tar.gz'

install:
	install -d "$(DESTDIR)$(VIMDIR)/doc"
	install -m 0644 doc/*.txt "$(DESTDIR)$(VIMDIR)/doc"

	install -d "$(DESTDIR)$(VIMDIR)"
	cp -R compiler ftplugin indent plugin "$(DESTDIR)$(VIMDIR)"
	chmod 0755 "$(DESTDIR)$(VIMDIR)/ftplugin/latex-suite/outline.py"

	install -d "$(DESTDIR)$(BINDIR)"
	install latextags ltags "$(DESTDIR)$(BINDIR)"

upload: snapshot
	scp "$(SNAPSHOTNAME).tar.gz" frs.sourceforge.net:/home/frs/project/v/vi/vim-latex/snapshots

.PHONY: install upload

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Johann Felix Soden <johfel@gmx.de>
 Build-Depends: debhelper (>= 7.0.50~), python-support
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://vim-latex.sourceforge.net/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-vim/vim-latexsuite.git

## vim-latexsuite 20120125.768

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Johann Felix Soden <johfel@gmx.de>
 Build-Depends: debhelper (>= 7.0.50~), python-support
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://vim-latex.sourceforge.net/
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-vim/vim-latexsuite.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/vim-latexsuite
ADDONSDIR=/usr/share/vim/addons

%:
	dh $@

override_dh_auto_build:


override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR) BINDIR=/usr/share/doc/vim-latexsuite/contrib VIMDIR=$(ADDONSDIR)
	# gzip doc files
	find $(DESTDIR)$(ADDONSDIR)/doc -type f -print0 | xargs -0 gzip -9

override_dh_install:
	dh_install	
	# generate file list for vim addons manager
	#
	( cd $(DESTDIR)$(ADDONSDIR) && find -type f ) | sed 's#./#  - #' >> $(DESTDIR)/usr/share/vim/registry/vim-latexsuite.yaml


fix-perm:
	find $(DIRS) doc -type f | xargs chmod a-x
	chmod a+x ftplugin/latex-suite/outline.py \
		debian/bug/vim-latexsuite/script

gzip-doc: $(DOCFILES)

%.txt.gz: %.txt
	gzip -9 < $< > $@

.PHONY: gzip-doc fix-perm

## vim-latexsuite 20130116.788

=== Makefile ===
PREFIX=/usr/local
VIMDIR=$(PREFIX)/share/vim
BINDIR=$(PREFIX)/bin

VERSION=1.8.23
DATE=$(shell date +%Y%m%d)
COMMIT_COUNT=$(shell git log --oneline | wc -l)
ABBREV_HASH=$(shell git log --oneline | head -n 1 | cut -d\  -f 1)

SNAPSHOTNAME=vim-latex-$(VERSION)-$(DATE).$(COMMIT_COUNT)-git$(ABBREV_HASH)

snapshot:
	git archive --prefix '$(SNAPSHOTNAME)/' HEAD | gzip > '$(SNAPSHOTNAME).tar.gz'

install:
	install -d '$(DESTDIR)$(VIMDIR)/doc'
	install -m 0644 doc/*.txt '$(DESTDIR)$(VIMDIR)/doc'

	install -d '$(DESTDIR)$(VIMDIR)'
	cp -R compiler ftplugin indent plugin '$(DESTDIR)$(VIMDIR)'
	chmod 0755 '$(DESTDIR)$(VIMDIR)/ftplugin/latex-suite/outline.py'

	install -d '$(DESTDIR)$(BINDIR)'
	install latextags ltags '$(DESTDIR)$(BINDIR)'

upload: snapshot
	scp '$(SNAPSHOTNAME).tar.gz' frs.sourceforge.net:/home/frs/project/v/vi/vim-latex/snapshots

.PHONY: install upload

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: vim-latexsuite
 Section: editors
 Priority: extra
-Maintainer: Johann Felix Soden <johfel@gmx.de>
-Build-Depends: debhelper (>= 7.0.50~), python-support
-Standards-Version: 3.9.2
+Maintainer: Johann Felix Soden <johfel@debian.org>
+Build-Depends: debhelper (>= 9~), python-support, python
+Standards-Version: 3.9.4
 Homepage: http://vim-latex.sourceforge.net/
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/pkg-vim/vim-latexsuite.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vim/vim-latexsuite.git
+Vcs-Git: git://anonscm.debian.org/pkg-vim/vim-latexsuite.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vim/vim-latexsuite.git
 
 Package: vim-latexsuite
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim
+Depends: ${misc:Depends}, ${python:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim, python
 Recommends: texlive-base-bin, vim-addon-manager
 Suggests: xpdf | pdf-viewer, gv | postscript-viewer, xdg-utils
 Enhances: vim

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ADDONSDIR=/usr/share/vim/addons
 
 %:
-	dh $@
+	dh $@ --with=python2
 
 override_dh_auto_build:

## vim-latexsuite 20141116.812

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 PREFIX=/usr/local
 VIMDIR=$(PREFIX)/share/vim
 BINDIR=$(PREFIX)/bin
+APPDATADIR=$(PREFIX)/share/appdata
 
 VERSION=1.8.23
 DATE=$(shell date +%Y%m%d)
 COMMIT_COUNT=$(shell git log --oneline | wc -l)
-ABBREV_HASH=$(shell git log --oneline | head -n 1 | cut -d\  -f 1)
+ABBREV_HASH=$(shell git rev-parse --short=7 HEAD)
 
 SNAPSHOTNAME=vim-latex-$(VERSION)-$(DATE).$(COMMIT_COUNT)-git$(ABBREV_HASH)
 
@@ -23,6 +24,9 @@
 	install -d '$(DESTDIR)$(BINDIR)'
 	install latextags ltags '$(DESTDIR)$(BINDIR)'
 
+	install -d '$(DESTDIR)$(APPDATADIR)'
+	install vim-latex.metainfo.xml '$(DESTDIR)$(APPDATADIR)'
+
 upload: snapshot
 	scp '$(SNAPSHOTNAME).tar.gz' frs.sourceforge.net:/home/frs/project/v/vi/vim-latex/snapshots

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: editors
 Priority: extra
 Maintainer: Johann Felix Soden <johfel@debian.org>
-Build-Depends: debhelper (>= 9~), python-support, python
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9~), python, dh-python
+Standards-Version: 3.9.6
 Homepage: http://vim-latex.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-vim/vim-latexsuite.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-vim/vim-latexsuite.git
 
 Package: vim-latexsuite
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim, python
+Depends: ${misc:Depends}, ${python:Depends}, ${perl:Depends}, vim-common (>= 1:7.1.314), vim, python2.7
 Recommends: texlive-base-bin, vim-addon-manager
 Suggests: xpdf | pdf-viewer, gv | postscript-viewer, xdg-utils
 Enhances: vim

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,15 @@
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(DESTDIR) BINDIR=/usr/share/doc/vim-latexsuite/contrib VIMDIR=$(ADDONSDIR)
 	# gzip doc files
-	find $(DESTDIR)$(ADDONSDIR)/doc -type f -print0 | xargs -0 gzip -9
+	find $(DESTDIR)$(ADDONSDIR)/doc -type f -print0 | xargs -0 gzip -9n
+	# remove unnecessary files
+	rm -rf $(DESTDIR)/usr/local/share/appdata
 
 override_dh_install:
 	dh_install	
 	# generate file list for vim addons manager
 	#
-	( cd $(DESTDIR)$(ADDONSDIR) && find -type f ) | sed 's#./#  - #' >> $(DESTDIR)/usr/share/vim/registry/vim-latexsuite.yaml
+	( cd $(DESTDIR)$(ADDONSDIR) && find -type f ) | sed 's#./#  - #' | LC_ALL=C sort  >> $(DESTDIR)/usr/share/vim/registry/vim-latexsuite.yaml
 
 
 fix-perm:
@@ -30,6 +32,6 @@
 gzip-doc: $(DOCFILES)
 
 %.txt.gz: %.txt
-	gzip -9 < $< > $@
+	gzip -9n < $< > $@
 
 .PHONY: gzip-doc fix-perm

=== debian/watch ===
version=3
http://sf.net/vim-latex/vim-latex-.*-(.+)-[rg].+\.tar\.gz
